// styling for login form in index.html
.centered-form {
    height: 100vh;
    background: $DarkOrchid;
}

.centered-form__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(250, 250, 250, 0.9);
    border: 1px solid #e1e1e1;
    border-radius: 5px;
    padding: 0px 20px;
    margin: 140px auto 0;
    width: 230px;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.4);
    h1 {
        text-align: center;
        font-size: 1.3rem;
        letter-spacing: 0.1em;
        color: $DarkOrchid;
        font-weight: bold;
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
    }
}

.form-field {
    margin: 20px 0;
    h3,
    label {
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
    }
}

.form-field>* {
    width: 100%;
}

.form-field label {
    display: block;
    margin-bottom: 7px;
}

.form-field input,
.form-field select {
    border: 1px solid #e1e1e1;
    padding: 10px;
}

// end form styling in index.html
// chat page styling
.chat {
    display: flex;
}

.chat__sidebar {
    overflow-y: scroll;
    width: 260px;
    height: 100vh;
    background: $DarkOrchid;
}

.chat__sidebar h3 {
    color: #e6eaee;
    margin: 10px 20px;
    text-align: left;
}

.chat__sidebar ul {
    list-style-type: none;
}

.chat__sidebar li {
    background: #e6eaee;
    border: 1px solid #e1e1e1;
    border-radius: 5px;
    padding: 10px;
    margin: 10px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    font-weight: bold;
}

.chat__main {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100%;
}

.chat__main h1 {
    font-size: 2rem;
    margin: 10px 0 10px 8px;
    text-align: left;
    color: $DarkOrchid;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
}

#typing {
    list-style-type: none;
    padding-left: 25px;
}

.chat__messages {
    flex-grow: 1;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    list-style-type: none;
    padding: 10px 12px;
}

.message {
    padding: 10px;
}

.message__title {
    display: flex;
    margin-bottom: 5px;
}

.message__title h4 {
    font-size: 1.1rem;
    font-weight: 600;
    margin-right: 10px;
    color: $Tomato;
}

.message__title span {
    color: #999;
    font-size: 1.1rem;
}

.message-body p,
.message-body p a {
    color: $RoyalBlue;
    font-size: 1.1rem;
}

.chat__footer {
    background: #e6eaee;
    display: flex;
    padding: 10px;
    flex-shrink: 0;
    height: 60px;
    button {
        height: 40px;
        vertical-align: middle;
        padding-bottom: 7px;
    }
}

.chat__footer form {
    flex-grow: 1;
    display: flex;
}

.chat__footer form * {
    margin-right: 10px;
}

.chat__footer input {
    border: none;
    padding: 10px;
    flex-grow: 1;
    height: 40px;
}

// button styling in #message-form by id
#message-form button,
#send-location {
    padding-top: 5px;
}

// start generic button styling
button {
    border: none;
    background: $DarkOrchid;
    color: white;
    cursor: pointer;
    padding: 10px;
    transition: background .3s ease;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5);
}

button:hover {
    border: none;
    background: #1F4C69;
    color: white;
    padding: 10px;
}

button:disabled {
    cursor: default;
    background: #698ea5;
}

// end generic button styling
// media query for small er screens < 600px
@media #{$max-600} {
    * {
        font-size: 1rem;
    }
    .chat__sidebar {
        display: none;
    }
    #message-form button {
        padding-top: 5px;
    }
    footer {
        height: 40px;
        input {
            height: 40px;
        }
        button {
            height: 40px;
        }
    }
    .chat__footer {
        flex-direction: column;
        height: 120px;
    }
    .chat__footer form {
        margin-bottom: 10px;
    }
    .chat__footer button {
        margin-right: 0px;
    }
    #send-location {
        margin-top: 10px;
        height: 50px;
        padding-top: 7px;
    }
}

// end media query for screens < 600px